#include "TSC2046.h"

void SPI_TOUCH_Init(void)
{
  GPIO_InitTypeDef GPIO_InitStructure;

	/*
	 
	 PE7 CS
	 PD15 INT
	 
	*/
    GPIO_InitStructure.GPIO_Pin =  TP_CE;
    GPIO_InitStructure.GPIO_Mode = GPIO_Mode_OUT;
    GPIO_InitStructure.GPIO_Speed = GPIO_Speed_50MHz;
    GPIO_InitStructure.GPIO_OType = GPIO_OType_PP;
    GPIO_InitStructure.GPIO_PuPd  = GPIO_PuPd_UP;
  GPIO_Init(GPIOE, &GPIO_InitStructure);
  
    GPIO_InitStructure.GPIO_Pin = TP_INT;
    GPIO_InitStructure.GPIO_Mode = GPIO_Mode_IN;//输入模式
    GPIO_InitStructure.GPIO_OType = GPIO_OType_PP;//推挽输出
    GPIO_InitStructure.GPIO_Speed = GPIO_Speed_100MHz;//100MHz
    GPIO_InitStructure.GPIO_PuPd = GPIO_PuPd_UP;//上拉
    GPIO_Init(GPIOE, &GPIO_InitStructure);//初始化
    
}

uint16_t SPI_TOUCH_Read_X(void)
{
  uint16_t xPos = 0, Temp = 0, Temp0 = 0, Temp1 = 0;

  /* Select the TP: Chip Select low */
      GPIOE->BSRRH = TP_CE;
	Delay(1);
  /* Send Read xPos command */
  SPI1_SendByte(0x90);
//	Delay(10);
  /* Read a byte from the TP */
  Temp0 = SPI1_SendByte(0x00);
//	Delay(10);  
  /* Read a byte from the TP */
  Temp1 = SPI1_SendByte(0x00);  
	Delay(1);
  /* Deselect the TP: Chip Select high */
      GPIOE->BSRRL = TP_CE;
	
  Temp = (Temp0 << 8) | Temp1; 
  
  xPos = Temp>>3;

  return xPos;
}

/*******************************************************************************
* Function Name  : SPI_TOUCH_Read_Y
* Description    : Reads TP xPos
* Input          : None
* Output         : None
* Return         : xPos
*******************************************************************************/
uint16_t SPI_TOUCH_Read_Y(void)
{
  uint16_t yPos = 0, Temp = 0, Temp0 = 0, Temp1 = 0;

  /* Select the TP: Chip Select low */
      GPIOE->BSRRH = TP_CE;
	Delay(1);
  /* Send Read yPos command */
  SPI1_SendByte(0xD0);
//	Delay(10);
  /* Read a byte from the TP */
  Temp0 = SPI1_SendByte(0x00);
// 	Delay(10); 
  /* Read a byte from the TP */
  Temp1 = SPI1_SendByte(0x00);  
	Delay(1);
  /* Deselect the TP: Chip Select high */
      GPIOE->BSRRL = TP_CE;

  Temp = (Temp0 << 8) | Temp1; 
  
  yPos = Temp>>3;

  return yPos;
}
